{
  "compilerOptions": {
    "noImplicitAny": true,
    "target": "ES2015",
    "module": "ESNext",
    "jsx": "react-jsx",
    "allowJs": false,
    "moduleResolution": "node",
    "esModuleInterop": true,
    "allowSyntheticDefaultImports": true,
    "forceConsistentCasingInFileNames": true,
    "resolveJsonModule": true,
    "strictNullChecks": true,
    "outDir": "./dist/",
    "baseUrl": ".",
    "paths": {
      "@/*": ["./src/*"],
      "shared/*": ["./shared/*"]
    },
    "skipLibCheck": true
  },

  "ts-node": {
    "compilerOptions": {
      "module": "CommonJS"
    }
  },
  "exclude": ["node_modules", "dist", "build", "coverage"]
}
